<?php

namespace Drupal\vright\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Link;
use Drupal\Core\Url;
use Symfony\Component\HttpKernel\Exception\AccessDeniedHttpException;

/**
 * Class VisitorRight.
 *
 * @package Drupal\vright\Controller
 */
class VisitorRight extends ControllerBase {

  /**
   * Redirect to front
   *
   * @param $token
   *   The user token.
   *
   * @return \Symfony\Component\HttpFoundation\RedirectResponse
   *   Redirect to front
   */
    public function accessValidation($token) {
        if ($token != null) {
          return $this->redirect('<front>');
        }
        throw new AccessDeniedHttpException();
    }

}
